%define LVM2_version 2.02.46

Summary: device mapper library
Name: device-mapper
Version: 1.02.32
Release: 1%{?dist}
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{LVM2_version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libselinux-devel, libsepol-devel

%define _exec_prefix /

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%package event
Summary: Device-mapper event daemon
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description event
This package contains device-mapper event daemon needed
to monitor device-mapper devices.

%prep
%setup -q -n LVM2.%{LVM2_version}

%build
%define _exec_prefix ""
%configure --enable-static_link --enable-cmdlib --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-dmeventd --enable-pkgconfig

%define _exec_prefix /
make device-mapper

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT usrlibdir=$RPM_BUILD_ROOT/usr/%{_lib} install_device-mapper

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL README VERSION_DM WHATS_NEW_DM
%{_libdir}/libdevmapper.so*
%{_libdir}/libdevmapper.a*
%{_libdir}/libdevmapper-event.so*
%{_libdir}/libdevmapper-event.a*
%{_sbindir}/dmsetup
%{_sbindir}/dmsetup.static
%{_mandir}/*/*
%{_includedir}/libdevmapper.h
%{_includedir}/libdevmapper-event.h
/usr/%{_lib}/pkgconfig/*.pc

%files event
%defattr(-,root,root,-)
%{_sbindir}/dmeventd

%changelog
* Wed May 20 2009 Milan Broz <mbroz@redhat.com> - 1.02.32-1
- Update to latest upstream release.
- Source files are now part of LVM2 upstream source tree.
  Resolves: #501752

* Fri Sep 19 2008 Milan Broz <mbroz@redhat.com> - 1.02.28-2
- Replace source package with fixed upstream release.

* Thu Sep 18 2008 Milan Broz <mbroz@redhat.com> - 1.02.28-1
- Update to latest upstream release.

* Wed Jul 02 2008 Milan Broz <mbroz@redhat.com> - 1.02.27-1
- Update to latest upstream release.
  Resolves: #453771

* Thu Jan 17 2008 Milan Broz <mbroz@redhat.com> - 1.02.24-1
- Update to latest upstream release.
- Add readahead setting support.
  Resolves: #423391

* Wed Jan 16 2008 Milan Broz <mbroz@redhat.com> - 1.02.20-3
- separate dmeventd subpackage
  Resolves: #369761

* Mon Jun 18 2007 Milan Broz <mbroz@redhat.com> - 1.02.20-1
- Update to latest upstream release.
- Add tree-based and dependency fields to dmsetup reports.
  Resolves: #168533

* Tue Nov 28 2006 Alasdair Kergon <agk@redhat.com> - 1.02.13-1
- Update dmsetup man page (setgeometry & message).
- Suppress encryption key in 'dmsetup table' output unless --showkeys supplied.

* Mon Oct 16 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-2.0
- Use dist variable for package release suffix.

* Fri Oct 13 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-1.0
- Avoid deptree attempting to suspend a device that's already suspended.
- Smaller upstream source tarball with files for 2.4 kernel removed.

* Thu Oct 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.11-1.0
- Add --noflush option for multipath.

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 1.02.10-1.0
- Add dm_snprintf(), dm_split_words() and dm_split_lvm_name() to libdevmapper.
- Reorder mm bounds_check code to reduce window for a dmeventd race.
- Make dmeventd start/end messages LOG_INFO instead of LOG_DEBUG.
- Check thread_registry_unused when checking for registered dmeventd device.

* Tue Aug 15 2006 Alasdair Kergon <agk@redhat.com> - 1.02.09-1.0
- Branch for RHEL5.
- Add BuildRequires libsepol-devel.
- Clear _exec_prefix during configure.

* Tue Jul 11 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-4.0
- Fix dm_event_get_registered_device for 194125.

* Tue Jul 04 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-3.0
- dmeventd fixes - standalone binary, pthread_cancel. (194542, 197396, 192870)

* Tue May 16 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-2.0
- Mirror core log fix. (191919)

* Fri May 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-1.1
- Rebuild.

* Thu May 11 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-1.0
- Minor fixes upstream.

* Wed May 10 2006 Alasdair Kergon <agk@redhat.com> - 1.02.06-1.0
- Minor fixes upstream.

* Wed Apr 26 2006 Alasdair Kergon <agk@redhat.com> - 1.02.05-1.0
- New upstream release.

* Wed Feb 8 2006 Alasdair Kergon <agk@redhat.com> - 1.02.03-1.0
- New upstream release.
- Enable event daemon again.

* Thu Jan 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-3.0
- A further fix to the hashing code. (176443)

* Wed Jan 04 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-2.0
- Remove unused event daemon code. (176877)
- Fix 'dmsetup version'. (176861)
- Fix hash functions for clvm. (176443)

* Fri Dec 02 2005 Alasdair Kergon <agk@redhat.com> - 1.02.02-1.0
- Include event daemon in the build.
- Export dm_task_update_nodes.
- Use ioctl names instead of numbers in failure error messages.

* Wed Nov 23 2005 Alasdair Kergon <agk@redhat.com> - 1.02.01-1.0
- Suppress attempts to reload identical tables and fix LVM- prefix matching.

* Thu Nov 10 2005 Alasdair Kergon <agk@redhat.com> - 1.02.00-1.0
- Extend library with hash, bitset, pool, dbg_malloc and activation
  tree functions.
- Add ls --tree to dmsetup.
- Add nolockfs support for suspend/reload.

* Mon Aug 02 2005 Alasdair Kergon <agk@redhat.com> - 1.01.04-1.0
- Fix dmsetup handling with empty table (needed by multipath).

* Mon Jun 13 2005 Alasdair Kergon <agk@redhat.com> - 1.01.03-1.0
- Reinstate selinux support.

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.02-1
- Add --exec and --target to dmsetup for initrd convenience.
- Automatically call dm_lib_exit when exiting.

* Tue Mar 29 2005 Alasdair Kergon <agk@redhat.com> - 1.01.01-1
- Update dmsetup man page.
- Replicate devmap_name output with dmsetup info -c --noheadings -o name.
 
* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-3
- Fix reinstated libdevmapper perms.

* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-2
- Reinstate a copy of previous shared library version 1.00 to avoid 
  requiring applications using libdevmapper to be recompiled immediately.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1
- Update lib interface to make open_count optional.

* Fri Jan 7 2005 Alasdair Kergon <agk@redhat.com> - 1.00.21-1
- Fix (harmless) unintended warning messages.

* Thu Jan 6 2005 Alasdair Kergon <agk@redhat.com> - 1.00.20-1
- Minor fixes and updates - see WHATS_NEW.

* Fri Sep 17 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-2
- Missing BuildRequires. [bz 121133]

* Sat Jul 3 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-1
- New upstream release fixes device numbers for 2.6 kernels.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 26 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-2
- Fix is_selinux_enabled() test

* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-1
- Fix non-root build with current version of 'install'.
- Incorporate last two selinux patches into tarball.

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

